package com.rjconsultores.ventaboletos.service.impl;

import java.util.Date;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.rjconsultores.ventaboletos.dao.LogDespesaReceitaDivDAO;
import com.rjconsultores.ventaboletos.entidad.LogDespesaReceitaDiversa;
import com.rjconsultores.ventaboletos.service.LogDespesasReceitasDivService;

@Service("logDespesasReceitasDivService")
public class LogDespesasReceitasDivServiceImpl implements LogDespesasReceitasDivService{

	@Autowired
	private LogDespesaReceitaDivDAO logDespesaReceitaDivDAO;
	
	@Override
	public List<LogDespesaReceitaDiversa> obtenerTodos() {
		return logDespesaReceitaDivDAO.obtenerTodos();
	}
	
	public List<LogDespesaReceitaDiversa> obterPorPeriodo(Date inicio, Date fim){
		return logDespesaReceitaDivDAO.obterPorPeriodo(inicio, fim);
	}

	@Override
	public LogDespesaReceitaDiversa obtenerID(Long id) {
		return logDespesaReceitaDivDAO.obtenerID(id);
	}

	@Override
	@Transactional
	public LogDespesaReceitaDiversa suscribir(LogDespesaReceitaDiversa entidad) {
		return logDespesaReceitaDivDAO.suscribir(entidad);
	}

	@Override
	@Transactional
	public LogDespesaReceitaDiversa actualizacion(LogDespesaReceitaDiversa entidad) {
		return logDespesaReceitaDivDAO.actualizacion(entidad);
	}

	@Override
	@Transactional
	public void borrar(LogDespesaReceitaDiversa entidad) {
		logDespesaReceitaDivDAO.borrar(entidad);
	}

}
